# loadNext

## Description

Loads the subsequent records in a dataset after loadData function was run.

## Input / Parameter

| Name            | Description                                   | Input Type  | Default | Options     | Required |
| --------------- | --------------------------------------------- | ----------- | ------- | ----------- | -------- |
| dataset         | The name of the local table to be loaded.     | String/Text | -       | -           | Yes      |
| datasetDisplay? | The values to displayed from the local table. | Boolean     | false   | true, false | No       |

## Output

| Description                                              | Output Type |
| -------------------------------------------------------- | ----------- |
| Returns the list of subsequent records from the dataset. | Array/List  |

## Callback?

### beforeCallback

The function to be executed if the subsequent records are loaded successfully.

## Video

Coming Soon.

## Example

The user wants to load the next of the data after a specific number of the data are loaded from dataset "l\_customer".

### Step

1. Add a console for display the value"load next called".

   ![](/files/Tsg7MNJIgnYQzQOlzIWK)
2. Call the function "loadNext" and define the dataset.\
   dataset: l\_customer

   ![](/files/VZHIbQWIrQKnLDBmja1q)

### Result

![](/files/q0Z2jndrR6wnEkbmPDBA)\
(Add a console and set the value "load next called" just let you more clear to see the different result between load data and load next function.)

![](/files/ooflCUfhejq5TDS8TZXh)<br>

( When you call the function "loadNext", the rest of the data will be display it continuously. )

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dataset/loadnext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
